function euler = Exp_to_Euler(v)  

theta = repmat(sqrt(sum(v.*v, 2)), 1, size(v,2));
v = sin(theta/2).*v./theta;
quat = quaternion(cos(theta(:,1)/2), v(:,1), v(:,2), v(:,3)); 
q = zeros(length(quat), 4); 
q(:,1) = s(quat); 
q(:,2) = x(quat);
q(:,3) = y(quat);
q(:,4) = z(quat);

euler = [atan2(2*(q(:,1).*q(:,2) + q(:,3).*q(:,4)),(1-2*(q(:,2).*q(:,2) + q(:,3).*q(:,3)))), ...
    asin(2*(q(:,1).*q(:,3) - q(:,4).*q(:,2))),  ...
    atan2(2*(q(:,1).*q(:,4) + q(:,2).*q(:,3)),(1-2*(q(:,3).*q(:,3) + q(:,4).*q(:,4))))]; 