function [Us Hps Phps theta beta] = fromOptimizerParams(params, MPGopts) 

nfactors = length(MPGopts); 

currentIdx = 0;
for n = 1:nfactors
    S = MPGopts{n}; 
    Us{n} = reshape(params([1:S.Ns*S.qs] + currentIdx), S.Ns, S.qs);
    currentIdx = currentIdx + S.Ns*S.qs;
    Hps{n} = exp(params([1:S.Nhps] + currentIdx));
    currentIdx = currentIdx + S.Nhps;
    Phps{n} = exp(params([1:S.Nphps] + currentIdx));
    currentIdx = currentIdx + S.Nphps;
end
theta = exp(params(end-1));
beta = exp(params(end));