function saveMocapData(file, Y, initY, frames, center) 

addpath qtfm

if nargin < 5
    center = 0; 
end

if (~exist('frames', 'var'))
    frames = 1:size(Y,1);
end

%mask = [32:33 34 35:36 44:45 46 47:48 55 62];
dims =[6 3 3 3 3 3 3 2 3 1 1 2 1 2 2 3 1 1 2 1 2 3 1 2 1 3 1 2 1];
locations = [1 7 10 13 16 19 22 25 27 30 31 32 34 35 37 39 42 43 44 46 47 49 52 53 55 56 59 60 62];
mask = [25:26 32:33 34 35:38 44:45 46 47:48 55 62];

Y = Y(:,1:size(initY,2));

% Use absolute global orientation
globY = Y(:,1:3);
globY(1,:) = initY(1:3) + globY(1,:);
Y(1,1:3) = initY(1:3);
Y(2,1:3) = globY(1,1:3);

for n=3:size(Y,1)
	Y(n,1:3) = sum(globY(1:n-1,1:3));
end
% globY = Y(:,1:6);
% globY(1,:) = initY(1:6) + globY(1,:);
% Y(1,1:6) = initY(1:6);
% Y(2,1:6) = globY(1,1:6);
% 
% for n=3:size(Y,1)
% 	Y(n,1:6) = sum(globY(1:n-1,1:6));
% end

% Prediction position.
%Y(:,1:3) = Y(:,1:3) + repmat(initY(1:3), size(Y,1), 1);

%Y(:,1:3) = zeros(size(Y,1),3);
tmpY = zeros(size(Y,1), 62); 
count = 1; 
for n=1:62
    if (~ismember(mask, n))
        tmpY(:,n) = Y(:,count); 
        count = count + 1; 
    end
end
Y = tmpY; 
Y = toEuler(Y, dims, locations);
Y(:,4:end) = (180/pi)*Y(:,4:end);
if (center == 1) 
    Y(:,3) = Y(:,3) - mean(Y(:,3)); 
    
end
matrix_to_amc(file, Y(frames,:));

rmpath qtfm